.TH BOOKS L

.SH NAME
books - will search the book library database file for a specified string.

.SH SYNOPSIS
books [-cinsv] [FLDS=fields] string [filename]

.SH DESCRIPTION
.I books
uses
.I dbtool
to search the book library database file for entries containing
.I string.
The entries are written to standard output.  If the optional
.I filename
is specified the data will be read from there.  Otherwise the data is read
from the file
.I books
in the directory specified by the environment variable
.I GREPDIR.
If this is not set, the directory is that specified in the script.

.SH OPTIONS
.TP
.B \-c
Display a count of matching entries rather
than displaying the entries which match.
.TP
.B \-i
Ignore the case of letters in making
comparisons \(em that is, upper and
lower case are considered identical.  Currently not implemented.
.TP
.B \-n
Precede each line by its relative line number in the file.
.TP
.B \-s
Invert the search to only display those entries that
.I do not
match.
.TP
.B \-v
Print the name of the file being processed.
.TP
.B FLDS=
This may take values from AUTHOR, TITLE, LOAN, depending on which field in
the database entries you wish to search.  If no value is given to FLDS, all
fields are searched.

.SH FILES
.TP 2.2i
.I %%binpath-name%%/books
script.
.TP 2.2i
.I HOMEDIRECTORY/%%grepfile-path%%/books
book library data file.

.SH SEE ALSO
dbtool

.SH BUGS
All options must be grouped.  Thus "-i -c" will not work.  You must use
"-ic".

.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
