.TH DBTOOL L

.SH NAME
dbtool - search a database file for a string occurring between two
occurences of the string "%%entry".

.SH SYNOPSIS
dbtool [-cinsv] [FLDS=fields] [SFLDS=searched fields] string [filename...]

.SH DESCRIPTION
.I
dbtool
searches the input file
.I filename
(default is standard input) for entries which contain a matching pattern.
When a match is found, all text between two occurences of the string
"%%entry" is sent to standard output.  Pattern may be Perl regular
expressions.

Fields may be used in each entry along the following lines:

<AUTHOR>Albert Einstein</AUTHOR>

<TITLE>General Relativity</TITLE>

The fields may be whatever the user like, and may be specified when calling
.I dbtool
with the
.I FLDS
option (see below).  Using the
.I SFLDS
option, one may search only a subset of the fields present.

.SH OPTIONS
.TP
.B \-c
Display a count of matching entries rather
than displaying the entries which match.
.TP
.B \-i
Ignore the case of letters in making
comparisons \(em that is, upper and
lower case are considered identical.  Currently not implemented.
.TP
.B \-n
Precede each line by its relative line number in the file.
.TP
.B \-s
Invert the search to only display those entries that
.I do not
match.
.TP
.B \-v
Prints the name of the file being processed.
.TP
.B FLDS=
This should be a comma separated list, with no spaces, with the names
HTML-style fields in the database file.
.TP
.B SFLDS=
This is a comma separated list, with no spaces, with the subset of the
.I FLDS
to be searched for matches with
.I string.

.SH FILES
.TP 2.2i
.I %%binary-name%%
executable script.

.SH SEE ALSO
perlre

.SH BUGS
All options must be grouped.  Thus "-i -c" will not work.  You must use
"-ic".

.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
